# List of packages with local USE macros, if any.
# %%global local

Name:          use-macros
Version:       1
Release:       1%{?dist}
Summary:       Distribution feature definitions and helper macros
License:       MIT
URL:           https://src.fedoraproject.org/rpms/%{name}
Source0:       build.pl
Source1:       global.yaml
%{lua:
local i = 2
for source in string.gmatch(rpm.expand("%{?local}"), "[%w_-]+")
do
    print("Source" .. i .. ": local." .. source .. ".yaml\n")
    i = i + 1
end
}
BuildArch:     noarch
BuildRequires: coreutils
BuildRequires: perl-interpreter
BuildRequires: perl(YAML::XS)
BuildRequires: rpm
Requires:      rpm

%description
This package provides build-time configuration feature keywords,
also known as USE flags, as well as various helper macros
simplifying their usage in package.  Inspired by Gentoo.

%prep
cp %{sources} .
echo 0%{?use:%use ipv6}
echo %{?use_enable ipv6}

%build
./build.pl

%install
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
install -m644 macros.use %{buildroot}%{_rpmconfigdir}/macros.d/

%check
rpm --macros=macros.use 2> error.log
test -s error.log \
    && echo "Errors found in macros.use:" \
    && cat error.log \
    && exit 1
rm error.log

%files
/usr/lib/rpm/macros.d/macros.use

%changelog
* Tue Apr 07 2020 Petr Šabata <contyk@redhat.com> - 1-1
- Initial version.
